import { Helm } from './helm.js';
import { SoloLogger } from './logging.js';
export declare class ChartManager {
    private readonly helm?;
    private readonly logger?;
    constructor(helm?: Helm, logger?: SoloLogger);
    /**
     * Setup chart repositories
     *
     * This must be invoked before calling other methods
     *
     * @param repoURLs - a map of name and chart repository URLs
     * @param force - whether or not to update the repo
     * @returns the urls
     */
    setup(repoURLs?: Map<string, string>, force?: boolean): Promise<string[]>;
    addRepo(name: string, url: string, forceUpdateArg: string): Promise<string>;
    /** List available clusters */
    getInstalledCharts(namespaceName: string): Promise<string[]>;
    install(namespaceName: string, chartReleaseName: string, chartPath: string, version: string, valuesArg?: string): Promise<boolean>;
    isChartInstalled(namespaceName: string, chartReleaseName: string): Promise<boolean>;
    uninstall(namespaceName: string, chartReleaseName: string): Promise<boolean>;
    upgrade(namespaceName: string, chartReleaseName: string, chartPath: string, version?: string, valuesArg?: string): Promise<boolean>;
}
